import { NetRequest } from "../../Engine/CatanEngine/NetManagerV2/NetRequest";

// #region Request

export type RpcExampleCodeRequest = null
export type RpcExampleCodeResponse = ExampleCodeData[]

export class ExampleCodeRequest extends NetRequest<RpcExampleCodeRequest, RpcExampleCodeResponse> {
	get Method(): string {
		return "example.code";
	}
	constructor() {
		super();
	}
}

// #endregion

// #region Type

export type ExampleCodeData = [
	id: number,
	title: number,
	content: number,
	time: number,
];

// #endregion